# Display commands

* **0AE/0AF** - / .      , SSD1306  
  ,       .      , 
 /    0AE, ..  .     
,  ,   0AF.

* **081 XX** -   .  .   1  256.   
(RESET = 7Fh)

* **020 XX** -   .        : ,
  .     -  ,    ,    
  .
  * _0x00_ -         ssd1306_data()   
   .          
 ,       .     
              .
```
//     
ssd1306_command(0x20);
ssd1306_command(0x00);
//        64  127 
ssd1306_command(0x21);  
ssd1306_command(64);
ssd1306_command(127);
//        3  4
ssd1306_command(0x22);  
ssd1306_command(3);
ssd1306_command(4);
//  65    8   
for(int i = 0; i < 65; i++) {
    ssd1306_data(255);      
}
```
  * _0x01_ -    , ,   1    .
       ,       .
```
//     
ssd1306_command(0x20);
ssd1306_command(0x01);
//        64  65 
ssd1306_command(0x21);  
ssd1306_command(64);
ssd1306_command(65);
//        3  7
ssd1306_command(0x22);  
ssd1306_command(3);
ssd1306_command(7);
//  6    8   
for(int i = 0; i < 6; i++) {
    ssd1306_data(255);      
}
```
  * _0x02_ -         ,    
     .  ,        ,
        127 ( ),  ,     
,     ,  .
```
//     
ssd1306_command(0x20);
ssd1306_command(0x02);
//     
ssd1306_command(0x00 | (64 & 0x0F));
//     
ssd1306_command(0x10 | (64 >> 4));
//  
ssd1306_command(0xB0 | 3);
//  65    8   
for(int i = 0; i < 65; i++) {
    ssd1306_data(255);
}
```

* **021** -    . .  / .

* **022** -    . .  / .

* **0xB0-0xBF** -   

* **0x00-0x0F** -   .  .      
     .        0000b.
 (1)       

* **0x10-0x1F** -   .  .      
     .        0000b.
 (1)       

* **0/1** -             .

* **C0/C8** -    COM- .      .
   _A0/A1_       .

* **0x8D XX** - /  .      
,    , ,   081    .
  ,       7  15.      
(3  5)  ,      ,     .
 /    ,        
 ,  0AF,    .
  * _0x10_ -  (VCC  )
  * _0x14_ -   DC/DC

* **A4** -   .      RAM (RESET)   RAM.
* **A5** -   .    RAM.

* **A6** -   (RESET). 0  RAM:    . 1  RAM: 
  
* **A7** -   . 0  RAM:    . 1  RAM: OFF 
  

* **26/27 XX XX XX XX XX XX** -     ().
_26h_   , _27h_   .
  # **0x00** -   (  00h)
  # **0x0X** -   . (Page & 0x07)
  # **0x0X** -            
000b  5 frames, 001b  64 frames, 010b  128 frames, 011b  256 frames, 100b  3 frames, 101b  4 frames,
110b  25 frame, 111b  2 frame
  # **0x0X** -    .        . (Page & 0x07).
  # **0x00** -   (  00h)
  # **0xFF** -   (  FFh)

* **29/2A XX XX XX XX XX** -        ().
_29h_     , _2Ah_     
(   1 )
  # **0x00** -   (  00h)
  # **0x0X** -   . (Page & 0x07)
  # **0x0X** -            
000b  5 frames, 001b  64 frames, 010b  128 frames, 011b  256 frames, 100b  3 frames, 101b  4 frames,
110b  25 frame, 111b  2 frame
  # **0x0X** -    .        . (Page & 0x07).
  # **0x0X** -   . : 01h  = 1 , 3Fh  = 63 .
 (1)     .

* **0x2E** -  ,   26h/27h/29h/2Ah.
 (1)   2Eh    ,       .

* **0x2F** -   (),      : 26h/27h/29h/2Ah 
  :
   1: 26h; 2Fh.
   2: 27h; 2Fh.
   3: 29h; 2Fh.
   4: 2Ah; 2Fh.
,  26h; 2Ah;. 2Fh  ,       , .. 2Ah  
,  .  ,        
    .

* **0xA3 XX XX** -    .
  # **0xXX** - -      .      
    GDDRAM (   0). (RESET= 0)
  # **0xXX** -     .   ,     
.         . (RESET= 64)

* **0xD5 XX** -    .   -  ,   -  0-F
(0 -   1).   0x80


## 
```
OLEDwrite_comm(0xAE);   //* 
OLEDwrite_comm(0XD5);   //    
OLEDwrite_comm(0x80);
    //           |+-----  0-F/ 0 -   1
    //           +------  .   0x80
OLEDwrite_comm(0xA8);   //* multiplex ratio
OLEDwrite_comm(0x3F);   //0x3F*--1/64 duty (  )
                        //
OLEDwrite_comm(0xD3);   //   (offset)
OLEDwrite_comm(0x00);   //  
                        //
OLEDwrite_comm(0x40);   //     0x40   RAM
                        //
OLEDwrite_comm(0x8D);   //   
OLEDwrite_comm(0x14);   // 0x10 -  (VCC  ) 0x14 -   DC/DC
// ENAB_VCC (1);        //     VCC
//   
OLEDwrite_comm(0xA1);   //     ( X)
                        // A1 -   (/) A0 -  (/)
OLEDwrite_comm(0xC0);   //    
                        //    
                        // 0 - / (   )
                        // 8 - / (   )
OLEDwrite_comm(0xDA);   //   COM
OLEDwrite_comm(0x12);   //0x02-0x12
                        // 
OLEDwrite_comm(0x81);   //  
OLEDwrite_comm(180);    //0-255
                        //
OLEDwrite_comm(0xD9);   //  DC/DC 
OLEDwrite_comm(0xF1);   //0x22-VCC   / 0xF1  
                        //
OLEDwrite_comm(0xDB);   //  VcomH
OLEDwrite_comm(0x40);   //     0x30 (0x00-0x10-0x20-0x30-0x40-0x50-0x60-0x70)
                        //
OLEDwrite_comm(0xA4);   //  
                        //
OLEDwrite_comm(0xA6);   //  
                        //
OLEDwrite_comm(0x20);   //   
OLEDwrite_comm(0);      // 0-       ()
                        //1 -       
                        //2 -      
                        //
// OLEDwrite_comm(0x22);        //    Y
// OLEDwrite_comm(0);           //  0 
// OLEDwrite_comm(7);           //  7 
//
// OLEDwrite_comm(0x21);        //    X
// OLEDwrite_comm(0);           //  0 
// OLEDwrite_comm(127);         //  127 
                        //
OLEDwrite_comm(0xAF);   //display on
```
